Loading...
Searching...
No Matches
type_reduce.hpp File Reference

Provides seqan3::views::type_reduce. More...

`#include <concepts>`
`#include <ranges>`
`#include <span>`
`#include <string_view>`
`#include <seqan3/core/detail/template_inspection.hpp>`
`#include <seqan3/core/range/detail/adaptor_base.hpp>`
Include dependency graph for type_reduce.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.
namespace | seqan3::views
| The SeqAn namespace for views.

## Typedefs

template<typename t>
using | seqan3::type_reduce_t = decltype(views::type_reduce(std::declval<t>()))
| Deduces the return value of seqan3::views::type_reduce.

## Variables

constexpr auto | seqan3::views::type_reduce
| A view adaptor that behaves like std::views::all, but type erases certain ranges.

## Detailed Description

Provides seqan3::views::type_reduce.

Author
  Hannes Hauswedell <hannes.hauswedell AT fu-berlin.de>

Hide me